Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.links
Class Link

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.links.Link

All Implemented Interfaces
  ContentBase, Serializable

    public class Link

extends CommunityContent

See Also
  Serialized Form

Nested Class Summary
`static class` | `Link.UrlType`

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `DEFAULT_LINK_GROUP`
`static String` | `DEFAULT_URL_TYPE_STRING`
`static String` | `defaultLinkGroupI18NKey`
`static String` | `GROUP`
`static String` | `TYPE_NAME`
`static String` | `URL`
`static String` | `URL_TYPE`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`Link()` Need this for GS_PagedResult
`Link(Node node)` Create the Link from a Node
`Link(Node node, String groupName)` Create the Link from a Node

Method Summary
`static Link.UrlType` | `convertUrlTypeString(String v)`
`static String` | `getI18NDefaultFolderName()`
`String` | `getLinkGroup()`
`String` | `getUrl()`
`Link.UrlType` | `getUrlType()`
`void` | `setLinkGroup(String groupName)`
`void` | `setUrl(String url, String encoding)`
`void` | `setUrlType(Link.UrlType t)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getIcon, getIcon, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### DEFAULT_URL_TYPE_STRING

    public static final String DEFAULT_URL_TYPE_STRING

### DEFAULT_LINK_GROUP

    public static final String DEFAULT_LINK_GROUP

See Also
  Constants Summary

### defaultLinkGroupI18NKey

    public static final String defaultLinkGroupI18NKey

See Also
  Constants Summary

### URL

    public static final String URL

See Also
  Constants Summary

### URL_TYPE

    public static final String URL_TYPE

See Also
  Constants Summary

### GROUP

    public static final String GROUP

See Also
  Constants Summary

Constructor Detail

### Link

    public Link()

  Need this for GS_PagedResult

### Link

    public Link(Node node)

  Create the Link from a Node

### Link

    public Link(Node node,
                String groupName)

  Create the Link from a Node

Method Detail

### getUrl

    public String getUrl()
                  throws AuthorizationException,
                         NoSuchPropertyException,
                         IOException

  Throws
    `AuthorizationException`
    `NoSuchPropertyException`
    `IOException`

### setUrl

    public void setUrl(String url,
                       String encoding)
                throws CharacterCodingException

  Throws
    `CharacterCodingException`

### getUrlType

    public Link.UrlType getUrlType()

### setUrlType

    public void setUrlType(Link.UrlType t)

### setLinkGroup

    public void setLinkGroup(String groupName)

### getLinkGroup

    public String getLinkGroup()

### convertUrlTypeString

    public static Link.UrlType convertUrlTypeString(String v)

### getI18NDefaultFolderName

    public static String getI18NDefaultFolderName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved